from django.urls import path

from . import views

urlpatterns = [
    path("test", views.TestPDFView.as_view(), name="test_pdf"),
    path("cards/", views.CardListView.as_view(), name="cards"),
    path("cards/create/", views.CardCreateView.as_view(), name="create_card"),
    path("cards/<int:pk>/", views.CardDetailView.as_view(), name="card"),
    path(
        "cards/<int:pk>/generate_pdf/",
        views.CardGeneratePDFView.as_view(),
        name="generate_card_pdf",
    ),
    path("cards/<int:pk>/deactivate/", views.CardDeactivateView.as_view(), name="deactivate_card"),
    path("cards/<int:pk>/delete/", views.CardDeleteView.as_view(), name="delete_card"),
]
